Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface MarkupWriterFactory

All Known Implementing Classes:
  MarkupWriterFactoryImpl

    public interface MarkupWriterFactory

Source for `MarkupWriter` instances.

Method Summary
`MarkupWriter` | `newMarkupWriter(ContentType contentType)` Creates a markup writer for a particular content type.
`MarkupWriter` | `newMarkupWriter(java.lang.String pageName)` Obtains a markup writer that will render the content for the provided logical page name.
`MarkupWriter` | `newPartialMarkupWriter(ContentType contentType)` Creates a markup writer for a particular content type, configured for partial page rendering (i.e., for a response to an Ajax request).

Method Detail

### newMarkupWriter

    MarkupWriter newMarkupWriter(ContentType contentType)

  Creates a markup writer for a particular content type.

  Parameters:
    `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

### newPartialMarkupWriter

    MarkupWriter newPartialMarkupWriter(ContentType contentType)

  Creates a markup writer for a particular content type, configured for partial page rendering (i.e., for a response to an Ajax request).

  Parameters:
    `contentType` - type of content generated by the markup write; used to control the type of `MarkupModel` used with the `Document` the backs the markup writer.

### newMarkupWriter

    MarkupWriter newMarkupWriter(java.lang.String pageName)

  Obtains a markup writer that will render the content for the provided logical page name.

  Parameters:
    `pageName` - logical page name
  Returns:
    writer configured for the page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.